Add IP Address to Pre-Login Console Text on Ubuntu
10/11/2017 08:58 PM - Daniel Curtis

Status: Closed Start date: 10/11/2017
Priority: Normal Due date:

Assignee: Daniel Curtis % Done: 100%
Category: Server Estimated time: 0.50 hour
Target version: Ubuntu 14.04 / Derivative Spent time: 0.50 hour
Description

| recently wanted to add the IP address of my development Ubuntu VMs to the console pre-login prompt, sparing me the time of
logging in just to ifconfig once so | can ssh into the VM. This is how | added the IP address of my machine to the pre-login console
prompt on Ubuntu 16.04.

/etc/issue

o Edit the /etc/issue file:

sudo nano /etc/issue

o and modify similar to the following:

Ubuntu 16.04.3 LTS \n \1
IP: \4

Now every time the machine starts, the IPv4 address will display on the pre-login console.

Resources

e https://www.rainingpackets.com/add-hosts-ip-address-login-screen/

History

#1 - 10/11/2017 09:06 PM - Daniel Curtis
- Status changed from New to Resolved

- % Done changed from 0 to 100

- Estimated time set to 0.50 h

#2 - 03/19/2018 08:33 PM - Daniel Curtis

- Status changed from Resolved to Closed
